Announcement

Collapse
No announcement yet.

HTTPS REQUIRED ? Now you tell me after I've purchased ? - that sucks!

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • HTTPS REQUIRED ? Now you tell me after I've purchased ? - that sucks!

    I just started reading the documentation after purchasing the Facebook App for multiple sites and the second item I see which it appears you guys conveniently gloss over or even fail to mention in any of your promotion emails is that anyone running a forum must add HTTPS and this requires the purchase of an SSL certificate which basically doubles or triples the cost of your facebook application to the user not to mention the time required to add mod-ssl to apache, modify apache config files, test and so on... what a crock of cow dung!

    needless to say I am not happy with your convenient oversight of this fact. I assume you guys include the cost of the SSL certificate in the cost of the app - where do I get my free certificate vbulletin people?

  • #2
    how do we go about getting a refund - we'd like our money back.

    Comment


    • #3
      Sorry if it was not more clearly stated.

      The product information and requirements do clearly address this:



      Pricing, Compatibility and Requirements


      As required by Facebook for all their apps, your vBulletin Facebook App must be hosted via HTTPS enabled / secure URL
      anders | vbulletin team | check out the new vbulletin facebook app
      Proudly vBulletin'ing since 2001
      Please be my friend!
      http://www.twitter.com/inetskunkworks
      vBulletin Performance Articles:
      Click here to read

      Comment


      • #4
        https://www.vbulletin.com/index.php?do=facebookapp

        As required by Facebook for all their apps, your vBulletin Facebook App must be hosted via HTTPS enabled / secure URL
        This was indicated before you purchase it in the previous link.

        vBulletin QA - vBulletin Support French - Lead Project Tools developer

        Next release? Soon(tm)

        Comment


        • #5
          I just don't understand why its required? its not required by Facebook.... I have visited/used several apps that are not secure while I have my Facebook account set to use https:// I have gone to several non-secure site and just tells me I have to temp disable https

          plus in the Facebook settings there is even a field for non-secure canvas
          ------------------------------------------
          Steve
          DM Mobile Lite (iTunes)(Android)(Blackberry)
          CN Mobile Lite (iTunes)(Android)(Blackberry)
          TheFaFClan Mobile Lite (iTunes)(Android)(Blackberry)
          Audi Spirit Mobile Lite (iTunes)(Android)(Blackberry)

          Comment


          • #6
            Originally posted by SteveLV702 View Post
            I just don't understand why its required? its not required by Facebook.... I have visited/used several apps that are not secure while I have my Facebook account set to use https:// I have gone to several non-secure site and just tells me I have to temp disable https

            plus in the Facebook settings there is even a field for non-secure canvas
            It is required by facebook.
            anders | vbulletin team | check out the new vbulletin facebook app
            Proudly vBulletin'ing since 2001
            Please be my friend!
            http://www.twitter.com/inetskunkworks
            vBulletin Performance Articles:
            Click here to read

            Comment


            • #7
              weird cause I've used several non-secure apps
              ------------------------------------------
              Steve
              DM Mobile Lite (iTunes)(Android)(Blackberry)
              CN Mobile Lite (iTunes)(Android)(Blackberry)
              TheFaFClan Mobile Lite (iTunes)(Android)(Blackberry)
              Audi Spirit Mobile Lite (iTunes)(Android)(Blackberry)

              Comment


              • #8
                Originally posted by SteveLV702 View Post
                weird cause I've used several non-secure apps
                https://developers.facebook.com/blog/post/497
                anders | vbulletin team | check out the new vbulletin facebook app
                Proudly vBulletin'ing since 2001
                Please be my friend!
                http://www.twitter.com/inetskunkworks
                vBulletin Performance Articles:
                Click here to read

                Comment


                • #9
                  sailnet who's your host cause my host provides ssl certs for free
                  ------------------------------------------
                  Steve
                  DM Mobile Lite (iTunes)(Android)(Blackberry)
                  CN Mobile Lite (iTunes)(Android)(Blackberry)
                  TheFaFClan Mobile Lite (iTunes)(Android)(Blackberry)
                  Audi Spirit Mobile Lite (iTunes)(Android)(Blackberry)

                  Comment


                  • #10
                    Originally posted by SteveLV702 View Post
                    sailnet who's your host cause my host provides ssl certs for free


                    ME! and no I don't provide myself ssl certs for free.

                    I'D LIKE TO HAVE SOMEONE SHOW ME WHERE HTTPS IS ON MY SITE BECAUSE IT DISPLAYS IN FACEBOOK RIGHT NOW WITHOUT HTTPS

                    http://apps.facebook.com/sail-net/?ref=ts

                    Facebook may say they require it but that's not the case in reality

                    Comment


                    • #11
                      Originally posted by sailnet View Post
                      ME! and no I don't provide myself ssl certs for free.

                      I'D LIKE TO HAVE SOMEONE SHOW ME WHERE HTTPS IS ON MY SITE BECAUSE IT DISPLAYS IN FACEBOOK RIGHT NOW WITHOUT HTTPS

                      http://apps.facebook.com/sail-net/?ref=ts

                      Facebook may say they require it but that's not the case in reality
                      What is this? That's not an FB app nor does it ask for any permissions.
                      anders | vbulletin team | check out the new vbulletin facebook app
                      Proudly vBulletin'ing since 2001
                      Please be my friend!
                      http://www.twitter.com/inetskunkworks
                      vBulletin Performance Articles:
                      Click here to read

                      Comment


                      • #12
                        Click image for larger version

Name:	email.jpg
Views:	1
Size:	67.9 KB
ID:	3686071


                        nothing in this email about https requirement

                        Comment


                        • #13
                          Originally posted by sailnet View Post
                          [ATTACH=CONFIG]56606[/ATTACH]
                          Right, but that doesn't quite explain the requirements - that's 3 marketing points to get you to start thinking about the app - there is no real way to even know what it is really without drilling into product information. I mean, don't get me wrong - we appreciate the purchase and apologize if you feel misled - we can fix that, we aren't in business of deceiving our customers.
                          anders | vbulletin team | check out the new vbulletin facebook app
                          Proudly vBulletin'ing since 2001
                          Please be my friend!
                          http://www.twitter.com/inetskunkworks
                          vBulletin Performance Articles:
                          Click here to read

                          Comment


                          • #14
                            Originally posted by SteveLV702 View Post
                            weird cause I've used several non-secure apps

                            As of November 1st 2011, all apps require HTTPS. Older apps from people with considerable pull may have grandfathered extensions though. That is an issue you would have to take up with Facebook.
                            Translations provided by Google.

                            Wayne Luke
                            The Rabid Badger - a vBulletin Cloud customization and demonstration site.
                            vBulletin 5 Documentation - Updated every Friday. Report issues here.
                            vBulletin 5 API - Full / Mobile
                            I am not currently available for vB Messenger Chats.

                            Comment


                            • #15
                              Originally posted by sailnet View Post
                              Facebook may say they require it but that's not the case in reality
                              Perhaps you should take that up with Facebook.

                              Btw, giant text really doesnt help
                              Baby, I was born this way

                              Comment

                              Related Topics

                              Collapse

                              Working...
                              X